org.apache.lucene.util

## Class AttributeSource.State

- java.lang.Object
- - org.apache.lucene.util.AttributeSource.State

- All Implemented Interfaces:
    java.lang.Cloneable
  Enclosing class:
    AttributeSource

      public static final class AttributeSource.State
      extends java.lang.Object
      implements java.lang.Cloneable

  This class holds the state of an AttributeSource.
  See Also:
    `AttributeSource.captureState()`, `AttributeSource.restoreState(org.apache.lucene.util.AttributeSource.State)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `State()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### State

          public State()

  - ### Method Detail

    - #### clone

          public java.lang.Object clone()

      Overrides:
        `clone` in class `java.lang.Object`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.